package com.vci.ubcs.code.dto;


import com.vci.ubcs.code.vo.pagemodel.BaseModelVO;

/**
 * 主题库分类的模板属性数据传输对象
 *
 * @author weidy
 * @date 2022-01-24
 */
public class CodeClassifyTemplateAttrDTO extends BaseModelVO {

	/**
     * 禁止修改这个值
     */
	private static final long serialVersionUID = 4615707118652601470L;

	/**
	 * 所属模板
	 */
	private String classifytemplateoid;

	/**
	 * 所属模板显示文本
	 */
	private String classifytemplateoidName;
	/**
	 * 所属分类中的属性主键
	 */
	private String classifyattributeoid;

	/**
	 * 所属分类中的属性主键显示文本
	 */
	private String classifyattributeoidName;
	/**
	 * 属性的类型
	 */
	private String attributedatatype;

	/**
	 * 是否关键属性
	 */
	private String keyattrflag;

	/**
	 * 是否快速查询属性
	 */
	private String queryattrflag;

	/**
	 * 是否高级查询属性
	 */
	private String seniorqueryattrflag;

	/**
	 * 相似查重属性
	 */
	private String samerepeatattrflag;

	/**
	 * 是否排序
	 */
	private String sortattrflag;

	/**
	 * 是否生成二维码
	 */
	private String qrcodeflag;

	/**
	 * 是否生成一维码
	 */
	private String barcodeflag;

	/**
	 * 组合规则
	 */
	private String componentrule;

	/**
	 * 验证规则
	 */
	private String verifyrule;

	/**
	 * 分类注入层级
	 */
	private String classifyinvokelevel;

	/**
	 * 分类注入的属性英文名称
	 */
	private String classifyinvokeattr;

	/**
	 * 分类注入的属性中文名称
	 */
	private String classifyinvokeattrname;

	/**
	 * 分类注入是否可以编辑
	 */
	private String classifyinvokeeditflag;

	/**
	 * 码值序号
	 */
	private Integer ordernum;

	/**
	 * 表单里是否显示
	 */
	private String formdisplayflag;

	/**
	 * 列表里是否显示
	 */
	private String tabledisplayflag;

	/**
	 * 所属属性分组
	 */
	private String attributegroup;

	/**
	 * 使用枚举注入的字符串格式
	 */
	private String enumString;

	/**
	 * 使用枚举英文编号
	 */
	private String enumid;

	/**
	 * 使用枚举中文名称
	 */
	private String enumname;

	/**
	 * 枚举是否可以编辑
	 */
	private String enumeditflag;

	/**
	 * 参照的业务类型英文名称
	 */
	private String referbtmid;

	/**
	 * 参照的业务类型中文名称
	 */
	private String referbtmname;

	/**
	 * 参照窗口配置
	 */
	private String referConfig;

	/**
	 * 是否必输
	 */
	private String requireflag;

	/**
	 * 是否只读
	 */
	private String readonlyflag;

	/**
	 * 属性控制输入的长度
	 */
	private Integer controllength;

	/**
	 * 表单里显示的样式
	 */
	private String formdisplaystyle;

	/**
	 * 表格里显示的样式
	 */
	private String tabledisplaystyle;

	/**
	 * 表单中超链接内容
	 */
	private String formhref;

	/**
	 * 表格中超链接内容
	 */
	private String tablehref;

	/**
	 * 小数精度
	 */
	private Integer precisionlength;

	/**
	 * 小数刻度
	 */
	private Integer scalelength;

	/**
	 * 取值范围
	 */
	private String valuearea;

	/**
	 * 时间格式
	 */
	private String codedateformat;

	/**
	 * 表格里显示调用的js
	 */
	private String tabledisplayjs;

	/**
	 * 是否显示多行文本
	 */
	private String textareaflag;

	/**
	 * 预览图
	 */
	private String imageflag;

	/**
	 * 默认值
	 */
	private String defaultvalue;

	/**
	 * 前缀
	 */
	private String prefixvalue;

	/**
	 * 后缀
	 */
	private String suffixvalue;

	/**
	 * 选择数据时过滤的属性
	 */
	private String filtersourceattr;

	/**
	 * 选择数据时过滤的属性名称
	 */
	private String filtersourceattrname;

	/**
	 * 属性列表中的宽度
	 */
	private Integer attrTableWidth;
	/**
	 * 说明
	 */
	private String explain;

	/**
	 * 选择库标识
	 */
	private String libraryIdentification;

	/**
	 * 级联属性编号
	 */
	private String parentCode;

	/**
	 * 级联属性名称
	 */
	private String parentName;

	/**
	 * 级联查询属性
	 */
	private String parentQueryAttr;

	public String getExplain() {
		return explain;
	}

	public void setExplain(String explain) {
		this.explain = explain;
	}

	public String getLibraryIdentification() {
		return libraryIdentification;
	}

	public void setLibraryIdentification(String libraryIdentification) {
		this.libraryIdentification = libraryIdentification;
	}

	public String getParentCode() {
		return parentCode;
	}

	public void setParentCode(String parentCode) {
		this.parentCode = parentCode;
	}

	public String getParentName() {
		return parentName;
	}

	public void setParentName(String parentName) {
		this.parentName = parentName;
	}

	public String getParentQueryAttr() {
		return parentQueryAttr;
	}

	public void setParentQueryAttr(String parentQueryAttr) {
		this.parentQueryAttr = parentQueryAttr;
	}

	public String getEnumString() {
		return enumString;
	}

	public void setEnumString(String enumString) {
		this.enumString = enumString;
	}

	/**
	 * 获取 所属模板
	 */
	public String getClassifytemplateoid (){
		return classifytemplateoid;
	}

	/**
	 * 设置 所属模板
	 */
	public void setClassifytemplateoid (String classifytemplateoid){
		this.classifytemplateoid = classifytemplateoid;
	}

	/**
	 * 获取所属模板显示文本
	 */
	public String getClassifytemplateoidName (){
		return classifytemplateoidName;
	}

	/**
	 * 设置所属模板显示文本
	 */
	public void setClassifytemplateoidName (String classifytemplateoidName){
		this.classifytemplateoidName = classifytemplateoidName;
	}
	/**
	 * 获取 所属分类中的属性主键
	 */
	public String getClassifyattributeoid (){
		return classifyattributeoid;
	}

	/**
	 * 设置 所属分类中的属性主键
	 */
	public void setClassifyattributeoid (String classifyattributeoid){
		this.classifyattributeoid = classifyattributeoid;
	}

	/**
	 * 获取所属分类中的属性主键显示文本
	 */
	public String getClassifyattributeoidName (){
		return classifyattributeoidName;
	}

	/**
	 * 设置所属分类中的属性主键显示文本
	 */
	public void setClassifyattributeoidName (String classifyattributeoidName){
		this.classifyattributeoidName = classifyattributeoidName;
	}
	/**
	 * 获取 属性的类型
	 */
	public String getAttributedatatype (){
		return attributedatatype;
	}

	/**
	 * 设置 属性的类型
	 */
	public void setAttributedatatype (String attributedatatype){
		this.attributedatatype = attributedatatype;
	}

	/**
	 * 获取 是否关键属性
	 */
	public String getKeyattrflag (){
		return keyattrflag;
	}

	/**
	 * 设置 是否关键属性
	 */
	public void setKeyattrflag (String keyattrflag){
		this.keyattrflag = keyattrflag;
	}

	/**
	 * 获取 是否快速查询属性
	 */
	public String getQueryattrflag (){
		return queryattrflag;
	}

	/**
	 * 设置 是否快速查询属性
	 */
	public void setQueryattrflag (String queryattrflag){
		this.queryattrflag = queryattrflag;
	}

	/**
	 * 获取 是否高级查询属性
	 */
	public String getSeniorqueryattrflag (){
		return seniorqueryattrflag;
	}

	/**
	 * 设置 是否高级查询属性
	 */
	public void setSeniorqueryattrflag (String seniorqueryattrflag){
		this.seniorqueryattrflag = seniorqueryattrflag;
	}

	/**
	 * 获取 相似查重属性
	 */
	public String getSamerepeatattrflag (){
		return samerepeatattrflag;
	}

	/**
	 * 设置 相似查重属性
	 */
	public void setSamerepeatattrflag (String samerepeatattrflag){
		this.samerepeatattrflag = samerepeatattrflag;
	}

	/**
	 * 获取 是否排序
	 */
	public String getSortattrflag (){
		return sortattrflag;
	}

	/**
	 * 设置 是否排序
	 */
	public void setSortattrflag (String sortattrflag){
		this.sortattrflag = sortattrflag;
	}

	/**
	 * 获取 是否生成二维码
	 */
	public String getQrcodeflag (){
		return qrcodeflag;
	}

	/**
	 * 设置 是否生成二维码
	 */
	public void setQrcodeflag (String qrcodeflag){
		this.qrcodeflag = qrcodeflag;
	}

	/**
	 * 获取 是否生成一维码
	 */
	public String getBarcodeflag (){
		return barcodeflag;
	}

	/**
	 * 设置 是否生成一维码
	 */
	public void setBarcodeflag (String barcodeflag){
		this.barcodeflag = barcodeflag;
	}

	/**
	 * 获取 组合规则
	 */
	public String getComponentrule (){
		return componentrule;
	}

	/**
	 * 设置 组合规则
	 */
	public void setComponentrule (String componentrule){
		this.componentrule = componentrule;
	}

	/**
	 * 获取 验证规则
	 */
	public String getVerifyrule (){
		return verifyrule;
	}

	/**
	 * 设置 验证规则
	 */
	public void setVerifyrule (String verifyrule){
		this.verifyrule = verifyrule;
	}

	/**
	 * 获取 分类注入层级
	 */
	public String getClassifyinvokelevel (){
		return classifyinvokelevel;
	}

	/**
	 * 设置 分类注入层级
	 */
	public void setClassifyinvokelevel (String classifyinvokelevel){
		this.classifyinvokelevel = classifyinvokelevel;
	}

	/**
	 * 获取 分类注入的属性英文名称
	 */
	public String getClassifyinvokeattr (){
		return classifyinvokeattr;
	}

	/**
	 * 设置 分类注入的属性英文名称
	 */
	public void setClassifyinvokeattr (String classifyinvokeattr){
		this.classifyinvokeattr = classifyinvokeattr;
	}

	/**
	 * 获取 分类注入的属性中文名称
	 */
	public String getClassifyinvokeattrname (){
		return classifyinvokeattrname;
	}

	/**
	 * 设置 分类注入的属性中文名称
	 */
	public void setClassifyinvokeattrname (String classifyinvokeattrname){
		this.classifyinvokeattrname = classifyinvokeattrname;
	}

	/**
	 * 获取 分类注入是否可以编辑
	 */
	public String getClassifyinvokeeditflag (){
		return classifyinvokeeditflag;
	}

	/**
	 * 设置 分类注入是否可以编辑
	 */
	public void setClassifyinvokeeditflag (String classifyinvokeeditflag){
		this.classifyinvokeeditflag = classifyinvokeeditflag;
	}

	/**
	 * 获取 码值序号
	 */
	public Integer getOrdernum (){
		return ordernum;
	}

	/**
	 * 设置 码值序号
	 */
	public void setOrdernum (Integer ordernum){
		this.ordernum = ordernum;
	}

	/**
	 * 获取 表单里是否显示
	 */
	public String getFormdisplayflag (){
		return formdisplayflag;
	}

	/**
	 * 设置 表单里是否显示
	 */
	public void setFormdisplayflag (String formdisplayflag){
		this.formdisplayflag = formdisplayflag;
	}

	/**
	 * 获取 列表里是否显示
	 */
	public String getTabledisplayflag (){
		return tabledisplayflag;
	}

	/**
	 * 设置 列表里是否显示
	 */
	public void setTabledisplayflag (String tabledisplayflag){
		this.tabledisplayflag = tabledisplayflag;
	}

	/**
	 * 获取 所属属性分组
	 */
	public String getAttributegroup (){
		return attributegroup;
	}

	/**
	 * 设置 所属属性分组
	 */
	public void setAttributegroup (String attributegroup){
		this.attributegroup = attributegroup;
	}

	/**
	 * 获取 使用枚举英文编号
	 */
	public String getEnumid (){
		return enumid;
	}

	/**
	 * 设置 使用枚举英文编号
	 */
	public void setEnumid (String enumid){
		this.enumid = enumid;
	}

	/**
	 * 获取 使用枚举中文名称
	 */
	public String getEnumname (){
		return enumname;
	}

	/**
	 * 设置 使用枚举中文名称
	 */
	public void setEnumname (String enumname){
		this.enumname = enumname;
	}

	/**
	 * 获取 枚举是否可以编辑
	 */
	public String getEnumeditflag (){
		return enumeditflag;
	}

	/**
	 * 设置 枚举是否可以编辑
	 */
	public void setEnumeditflag (String enumeditflag){
		this.enumeditflag = enumeditflag;
	}

	/**
	 * 获取 参照的业务类型英文名称
	 */
	public String getReferbtmid (){
		return referbtmid;
	}

	/**
	 * 设置 参照的业务类型英文名称
	 */
	public void setReferbtmid (String referbtmid){
		this.referbtmid = referbtmid;
	}

	/**
	 * 获取 参照的业务类型中文名称
	 */
	public String getReferbtmname (){
		return referbtmname;
	}

	/**
	 * 设置 参照的业务类型中文名称
	 */
	public void setReferbtmname (String referbtmname){
		this.referbtmname = referbtmname;
	}


	/**
	 * 获取 是否必输
	 */
	public String getRequireflag (){
		return requireflag;
	}

	/**
	 * 设置 是否必输
	 */
	public void setRequireflag (String requireflag){
		this.requireflag = requireflag;
	}

	/**
	 * 获取 是否只读
	 */
	public String getReadonlyflag (){
		return readonlyflag;
	}

	/**
	 * 设置 是否只读
	 */
	public void setReadonlyflag (String readonlyflag){
		this.readonlyflag = readonlyflag;
	}

	/**
	 * 获取 属性控制输入的长度
	 */
	public Integer getControllength (){
		return controllength;
	}

	/**
	 * 设置 属性控制输入的长度
	 */
	public void setControllength (Integer controllength){
		this.controllength = controllength;
	}

	/**
	 * 获取 表单里显示的样式
	 */
	public String getFormdisplaystyle (){
		return formdisplaystyle;
	}

	/**
	 * 设置 表单里显示的样式
	 */
	public void setFormdisplaystyle (String formdisplaystyle){
		this.formdisplaystyle = formdisplaystyle;
	}

	/**
	 * 获取 表格里显示的样式
	 */
	public String getTabledisplaystyle (){
		return tabledisplaystyle;
	}

	/**
	 * 设置 表格里显示的样式
	 */
	public void setTabledisplaystyle (String tabledisplaystyle){
		this.tabledisplaystyle = tabledisplaystyle;
	}

	/**
	 * 获取 表单中超链接内容
	 */
	public String getFormhref (){
		return formhref;
	}

	/**
	 * 设置 表单中超链接内容
	 */
	public void setFormhref (String formhref){
		this.formhref = formhref;
	}

	/**
	 * 获取 表格中超链接内容
	 */
	public String getTablehref (){
		return tablehref;
	}

	/**
	 * 设置 表格中超链接内容
	 */
	public void setTablehref (String tablehref){
		this.tablehref = tablehref;
	}

	/**
	 * 获取 小数精度
	 */
	public Integer getPrecisionlength (){
		return precisionlength;
	}

	/**
	 * 设置 小数精度
	 */
	public void setPrecisionlength (Integer precisionlength){
		this.precisionlength = precisionlength;
	}

	/**
	 * 获取 小数刻度
	 */
	public Integer getScalelength (){
		return scalelength;
	}

	/**
	 * 设置 小数刻度
	 */
	public void setScalelength (Integer scalelength){
		this.scalelength = scalelength;
	}

	/**
	 * 获取 取值范围
	 */
	public String getValuearea (){
		return valuearea;
	}

	/**
	 * 设置 取值范围
	 */
	public void setValuearea (String valuearea){
		this.valuearea = valuearea;
	}

	/**
	 * 获取 时间格式
	 */
	public String getCodedateformat (){
		return codedateformat;
	}

	/**
	 * 设置 时间格式
	 */
	public void setCodedateformat (String codedateformat){
		this.codedateformat = codedateformat;
	}

	/**
	 * 获取 表格里显示调用的js
	 */
	public String getTabledisplayjs (){
		return tabledisplayjs;
	}

	/**
	 * 设置 表格里显示调用的js
	 */
	public void setTabledisplayjs (String tabledisplayjs){
		this.tabledisplayjs = tabledisplayjs;
	}

	/**
	 * 获取 是否显示多行文本
	 */
	public String getTextareaflag (){
		return textareaflag;
	}

	/**
	 * 设置 是否显示多行文本
	 */
	public void setTextareaflag (String textareaflag){
		this.textareaflag = textareaflag;
	}

	/**
	 * 获取 预览图
	 */
	public String getImageflag (){
		return imageflag;
	}

	/**
	 * 设置 预览图
	 */
	public void setImageflag (String imageflag){
		this.imageflag = imageflag;
	}

	/**
	 * 获取 默认值
	 */
	public String getDefaultvalue (){
		return defaultvalue;
	}

	/**
	 * 设置 默认值
	 */
	public void setDefaultvalue (String defaultvalue){
		this.defaultvalue = defaultvalue;
	}

	/**
	 * 获取 前缀
	 */
	public String getPrefixvalue (){
		return prefixvalue;
	}

	/**
	 * 设置 前缀
	 */
	public void setPrefixvalue (String prefixvalue){
		this.prefixvalue = prefixvalue;
	}

	/**
	 * 获取 后缀
	 */
	public String getSuffixvalue (){
		return suffixvalue;
	}

	/**
	 * 设置 后缀
	 */
	public void setSuffixvalue (String suffixvalue){
		this.suffixvalue = suffixvalue;
	}

	/**
	 * 获取 选择数据时过滤的属性
	 */
	public String getFiltersourceattr (){
		return filtersourceattr;
	}

	/**
	 * 设置 选择数据时过滤的属性
	 */
	public void setFiltersourceattr (String filtersourceattr){
		this.filtersourceattr = filtersourceattr;
	}

	/**
	 * 获取 选择数据时过滤的属性名称
	 */
	public String getFiltersourceattrname (){
		return filtersourceattrname;
	}

	/**
	 * 设置 选择数据时过滤的属性名称
	 */
	public void setFiltersourceattrname (String filtersourceattrname){
		this.filtersourceattrname = filtersourceattrname;
	}

	public Integer getAttrTableWidth() {
		return attrTableWidth;
	}

	public void setAttrTableWidth(Integer attrTableWidth) {
		this.attrTableWidth = attrTableWidth;
	}

	public String getReferConfig() {
		return referConfig;
	}

	public void setReferConfig(String referConfig) {
		this.referConfig = referConfig;
	}

	@Override
	public String toString() {
		return "CodeClassifyTemplateAttrDTO{" +
				"classifytemplateoid='" + classifytemplateoid + '\'' +
				", classifytemplateoidName='" + classifytemplateoidName + '\'' +
				", classifyattributeoid='" + classifyattributeoid + '\'' +
				", classifyattributeoidName='" + classifyattributeoidName + '\'' +
				", attributedatatype='" + attributedatatype + '\'' +
				", keyattrflag='" + keyattrflag + '\'' +
				", queryattrflag='" + queryattrflag + '\'' +
				", seniorqueryattrflag='" + seniorqueryattrflag + '\'' +
				", samerepeatattrflag='" + samerepeatattrflag + '\'' +
				", sortattrflag='" + sortattrflag + '\'' +
				", qrcodeflag='" + qrcodeflag + '\'' +
				", barcodeflag='" + barcodeflag + '\'' +
				", componentrule='" + componentrule + '\'' +
				", verifyrule='" + verifyrule + '\'' +
				", classifyinvokelevel='" + classifyinvokelevel + '\'' +
				", classifyinvokeattr='" + classifyinvokeattr + '\'' +
				", classifyinvokeattrname='" + classifyinvokeattrname + '\'' +
				", classifyinvokeeditflag='" + classifyinvokeeditflag + '\'' +
				", ordernum=" + ordernum +
				", formdisplayflag='" + formdisplayflag + '\'' +
				", tabledisplayflag='" + tabledisplayflag + '\'' +
				", attributegroup='" + attributegroup + '\'' +
				", enumString='" + enumString + '\'' +
				", enumid='" + enumid + '\'' +
				", enumname='" + enumname + '\'' +
				", enumeditflag='" + enumeditflag + '\'' +
				", referbtmid='" + referbtmid + '\'' +
				", referbtmname='" + referbtmname + '\'' +
				", referConfig='" + referConfig + '\'' +
				", requireflag='" + requireflag + '\'' +
				", readonlyflag='" + readonlyflag + '\'' +
				", controllength=" + controllength +
				", formdisplaystyle='" + formdisplaystyle + '\'' +
				", tabledisplaystyle='" + tabledisplaystyle + '\'' +
				", formhref='" + formhref + '\'' +
				", tablehref='" + tablehref + '\'' +
				", precisionlength=" + precisionlength +
				", scalelength=" + scalelength +
				", valuearea='" + valuearea + '\'' +
				", codedateformat='" + codedateformat + '\'' +
				", tabledisplayjs='" + tabledisplayjs + '\'' +
				", textareaflag='" + textareaflag + '\'' +
				", imageflag='" + imageflag + '\'' +
				", defaultvalue='" + defaultvalue + '\'' +
				", prefixvalue='" + prefixvalue + '\'' +
				", suffixvalue='" + suffixvalue + '\'' +
				", filtersourceattr='" + filtersourceattr + '\'' +
				", filtersourceattrname='" + filtersourceattrname + '\'' +
				", attrTableWidth=" + attrTableWidth +
				"} " + super.toString();
	}
}
