package com.vci.ubcs.code.dto;

import java.util.Map;

/**
 * 编码导出配置的信息
 * @author weidy
 * @date 2022-03-2
 */
public class CodeExportAttrDTO implements java.io.Serializable{
    /**
     * 序列化
     */
    private static final long serialVersionUID = 2048221367839030718L;

    /**
     * 要导出的属性,key是排序，value是属性的编号
     */
    private Map<Integer,String> attrIdIndexMap ;

    /**
     * 当前第几页
     */
    private Integer page;

    /**
     * 每页显示最大数
     */
    private Integer limit;

    /**
     * 截止到第几页
     */
    private Integer endPage;

    /**
     * 排序的字段
     */
    private String sort;

    /**
     * 排序的顺序
     */
    private String order;

    /**
     * 查询条件
     */
    private Map<String,String> conditionMap;

    /**
     * 分类的主键
     */
    private String codeClassifyOid;

    public Integer getEndPage() {
        return endPage;
    }

    public void setEndPage(Integer endPage) {
        this.endPage = endPage;
    }

    public Map<Integer, String> getAttrIdIndexMap() {
        return attrIdIndexMap;
    }

    public void setAttrIdIndexMap(Map<Integer, String> attrIdIndexMap) {
        this.attrIdIndexMap = attrIdIndexMap;
    }

    public Integer getPage() {
        return page;
    }

    public void setPage(Integer page) {
        this.page = page;
    }

    public Integer getLimit() {
        return limit;
    }

    public void setLimit(Integer limit) {
        this.limit = limit;
    }

    public String getSort() {
        return sort;
    }

    public void setSort(String sort) {
        this.sort = sort;
    }

    public String getOrder() {
        return order;
    }

    public void setOrder(String order) {
        this.order = order;
    }

    public Map<String, String> getConditionMap() {
        return conditionMap;
    }

    public void setConditionMap(Map<String, String> conditionMap) {
        this.conditionMap = conditionMap;
    }

    public String getCodeClassifyOid() {
        return codeClassifyOid;
    }

    public void setCodeClassifyOid(String codeClassifyOid) {
        this.codeClassifyOid = codeClassifyOid;
    }


    @Override
    public String toString() {
        return "CodeExportAttrDTO{" +
                "attrIdIndexMap=" + attrIdIndexMap +
                ", page=" + page +
                ", limit=" + limit +
                ", endPage=" + endPage +
                ", sort='" + sort + '\'' +
                ", order='" + order + '\'' +
                ", conditionMap=" + conditionMap +
                ", codeClassifyOid='" + codeClassifyOid + '\'' +
                '}';
    }
}
