package com.vci.ubcs.code.dto;


import com.vci.ubcs.code.vo.pagemodel.BaseModelVO;

import java.util.List;

/**
 * 系统集成基础信息数据传输对象
 *
 * @author lihang
 * @date 2022-03-07
 */
public class SysIntInfoDTO extends BaseModelVO {

	/**
     * 禁止修改这个值
     */
	private static final long serialVersionUID = 4615707120053955466L;

	/**
	 * 认证方式
	 */
	private String authorityoid;

	/**
	 * 认证方式显示文本
	 */
	private String authorityoidName;
	/**
	 * 接口函数
	 */
	private String interfaceFunction;

	/**
	 * 接口类型
	 */
	private String interfacetype;

	/**
	 * 接口类型显示文本
	 */
	private String interfacetypeText;
	/**
	 * 参数类型
	 */
	private String paramtype;

	/**
	 * 参数类型显示文本
	 */
	private String paramtypeText;
	/**
	 * 请求方式
	 */
	private String requestmethod;

	/**
	 * 请求方式显示文本
	 */
	private String requestmethodText;
	/**
	 * 分类oid
	 */
	private String classifyoid;
	/**
	 * 启用、停用true/false，不用平台的枚举，减少对平台的耦合
	 */
	private String usedflag;
	/**
	 * 推送系统oid
	 */
	private String sysbaseoid;
	/**
	 * 推送系统编号
	 */
	private String sysbaseid;
	/**
	 * 推送系统名称
	 */
	private String sysbasename;
	/**
	 * 请求地址
	 */
	private String requesturl;

	/**
	 * 返回值类型
	 */
	private String returntype;

	/**
	 * 返回值类型显示文本
	 */
	private String returntypeText;
	/**
	 * 来源系统主键
	 */
	private String sourcesystemoid;

	/**
	 * 来源系统主键显示文本
	 */
	private String sourcesystemoidName;

	/**
	 * 来源系统名称
	 */
	private String sourceSysName;

	/**
	 * 来源系统标识
	 */
	private String sourceSysId;

	/**
	 * 目标系统主键
	 */
	private String targetsystemoid;

	/**
	 * 目标系统主键显示文本
	 */
	private String targetsystemoidName;

	/**
	 * 目标系统名称
	 */
	private String targetSysName;

	/**
	 * 目标系统标识
	 */
	private String targetSysId;



	/**
	 * 接口描述
	 */
	private String description;

	/**
	 * 类路径
	 */
	private String classPath;

	/**
	 * 数据流向方式
	 */
	private String dataFlowType;

	/**
	 * 数据流向方式的显示字段
	 */
	private String dataFlowTypeText;

	/**
	 * 存储的业务类型
	 */
	private String btmTypeId;

	/**
	 * 存储的业务类型的中文名称
	 */
	private String btmTypeName;

	/**
	 * 命名空间
	 */
	private String namespace;

	/**
	 * soapAction
	 */
	private String soapaction;

	/**
	 * 参数名称
	 */
	private String targName;

	/**
	 * cxfaxis
	 */
	private String cxfaxis;

	/**
	 * 分类id
	 */
	private String classifyid;

	/**
	 * 分类名称
	 */
	private String classifyname;
	/***
	 * 参数信息对象
	 */
	private List<SysIntParamDTO> sysIntParamDTOs;
	/***
	 * header信息对象
	 */
	private List<SysIntHeaderDTO> sysIntHeaderDTOS;

	public String pushType;

	public String getClassifyid() {
		return classifyid;
	}

	public void setClassifyid(String classifyid) {
		this.classifyid = classifyid;
	}

	public String getClassifyname() {
		return classifyname;
	}

	public void setClassifyname(String classifyname) {
		this.classifyname = classifyname;
	}

	public String getTargName() {
		return targName;
	}

	public void setTargName(String targName) {
		this.targName = targName;
	}

	public String getSoapaction() {
		return soapaction;
	}

	public void setSoapaction(String soapaction) {
		this.soapaction = soapaction;
	}

	public String getCxfaxis() {
		return cxfaxis;
	}

	public void setCxfaxis(String cxfaxis) {
		this.cxfaxis = cxfaxis;
	}

	public String getNamespace() {
		return namespace;
	}

	public void setNamespace(String namespace) {
		this.namespace = namespace;
	}

	public String getBtmTypeId() {
		return btmTypeId;
	}

	public void setBtmTypeId(String btmTypeId) {
		this.btmTypeId = btmTypeId;
	}

	public String getBtmTypeName() {
		return btmTypeName;
	}

	public void setBtmTypeName(String btmTypeName) {
		this.btmTypeName = btmTypeName;
	}
	/**
	 * 获取 认证方式
	 */
	public String getAuthorityoid (){
		return authorityoid;
	}

	/**
	 * 设置 认证方式
	 */
	public void setAuthorityoid (String authorityoid){
		this.authorityoid = authorityoid;
	}

	/**
	 * 获取认证方式显示文本
	 */
	public String getAuthorityoidName (){
		return authorityoidName;
	}

	/**
	 * 设置认证方式显示文本
	 */
	public void setAuthorityoidName (String authorityoidName){
		this.authorityoidName = authorityoidName;
	}
	/**
	 * 获取 接口函数
	 */
	public String getInterfaceFunction (){
		return interfaceFunction;
	}

	/**
	 * 设置 接口函数
	 */
	public void setInterfaceFunction (String interfaceFunction){
		this.interfaceFunction = interfaceFunction;
	}

	/**
	 * 获取 接口类型
	 */
	public String getInterfacetype (){
		return interfacetype;
	}

	/**
	 * 设置 接口类型
	 */
	public void setInterfacetype (String interfacetype){
		this.interfacetype = interfacetype;
	}

	/**
	 * 获取接口类型显示文本
	 */
	public String getInterfacetypeText (){
		return interfacetypeText;
	}

	/**
	 * 设置接口类型显示文本
	 */
	public void setInterfacetypeText (String interfacetypeText){
		this.interfacetypeText = interfacetypeText;
	}
	/**
	 * 获取 参数类型
	 */
	public String getParamtype (){
		return paramtype;
	}

	/**
	 * 设置 参数类型
	 */
	public void setParamtype (String paramtype){
		this.paramtype = paramtype;
	}

	/**
	 * 获取参数类型显示文本
	 */
	public String getParamtypeText (){
		return paramtypeText;
	}

	/**
	 * 设置参数类型显示文本
	 */
	public void setParamtypeText (String paramtypeText){
		this.paramtypeText = paramtypeText;
	}
	/**
	 * 获取 请求方式
	 */
	public String getRequestmethod (){
		return requestmethod;
	}

	/**
	 * 设置 请求方式
	 */
	public void setRequestmethod (String requestmethod){
		this.requestmethod = requestmethod;
	}

	/**
	 * 获取请求方式显示文本
	 */
	public String getRequestmethodText (){
		return requestmethodText;
	}

	/**
	 * 设置请求方式显示文本
	 */
	public void setRequestmethodText (String requestmethodText){
		this.requestmethodText = requestmethodText;
	}
	/**
	 * 获取 请求地址
	 */
	public String getRequesturl (){
		return requesturl;
	}

	/**
	 * 设置 请求地址
	 */
	public void setRequesturl (String requesturl){
		this.requesturl = requesturl;
	}

	/**
	 * 获取 返回值类型
	 */
	public String getReturntype (){
		return returntype;
	}

	/**
	 * 设置 返回值类型
	 */
	public void setReturntype (String returntype){
		this.returntype = returntype;
	}

	/**
	 * 获取返回值类型显示文本
	 */
	public String getReturntypeText (){
		return returntypeText;
	}

	/**
	 * 设置返回值类型显示文本
	 */
	public void setReturntypeText (String returntypeText){
		this.returntypeText = returntypeText;
	}
	/**
	 * 获取 来源系统主键
	 */
	public String getSourcesystemoid (){
		return sourcesystemoid;
	}

	/**
	 * 设置 来源系统主键
	 */
	public void setSourcesystemoid (String sourcesystemoid){
		this.sourcesystemoid = sourcesystemoid;
	}

	/**
	 * 获取来源系统主键显示文本
	 */
	public String getSourcesystemoidName (){
		return sourcesystemoidName;
	}

	/**
	 * 设置来源系统主键显示文本
	 */
	public void setSourcesystemoidName (String sourcesystemoidName){
		this.sourcesystemoidName = sourcesystemoidName;
	}
	/**
	 * 获取 目标系统主键
	 */
	public String getTargetsystemoid (){
		return targetsystemoid;
	}

	/**
	 * 设置 目标系统主键
	 */
	public void setTargetsystemoid (String targetsystemoid){
		this.targetsystemoid = targetsystemoid;
	}

	/**
	 * 获取目标系统主键显示文本
	 */
	public String getTargetsystemoidName (){
		return targetsystemoidName;
	}

	/**
	 * 设置目标系统主键显示文本
	 */
	public void setTargetsystemoidName (String targetsystemoidName){
		this.targetsystemoidName = targetsystemoidName;
	}

	@Override
	public String getDescription() {
		return description;
	}

	@Override
	public void setDescription(String description) {
		this.description = description;
	}

	public String getClassPath() {
		return classPath;
	}

	public void setClassPath(String classPath) {
		this.classPath = classPath;
	}

	public String getDataFlowType() {
		return dataFlowType;
	}

	public void setDataFlowType(String dataFlowType) {
		this.dataFlowType = dataFlowType;
	}

	public String getDataFlowTypeText() {
		return dataFlowTypeText;
	}

	public void setDataFlowTypeText(String dataFlowTypeText) {
		this.dataFlowTypeText = dataFlowTypeText;
	}

	public String getClassifyoid() {
		return classifyoid;
	}

	public void setClassifyoid(String classifyoid) {
		this.classifyoid = classifyoid;
	}

	public String getUsedflag() {
		return usedflag;
	}

	public void setUsedflag(String usedflag) {
		this.usedflag = usedflag;
	}

	public String getSysbaseoid() {
		return sysbaseoid;
	}

	public void setSysbaseoid(String sysbaseoid) {
		this.sysbaseoid = sysbaseoid;
	}

	public String getSysbasename() {
		return sysbasename;
	}

	public void setSysbasename(String sysbasename) {
		this.sysbasename = sysbasename;
	}

	public String getSysbaseid() {
		return sysbaseid;
	}

	public void setSysbaseid(String sysbaseid) {
		this.sysbaseid = sysbaseid;
	}

	public List<SysIntParamDTO> getSysIntParamDTOs() {
		return sysIntParamDTOs;
	}

	public void setSysIntParamDTOs(List<SysIntParamDTO> sysIntParamDTOs) {
		this.sysIntParamDTOs = sysIntParamDTOs;
	}

	public List<SysIntHeaderDTO> getSysIntHeaderDTOS() {
		return sysIntHeaderDTOS;
	}

	public void setSysIntHeaderDTOS(List<SysIntHeaderDTO> sysIntHeaderDTOS) {
		this.sysIntHeaderDTOS = sysIntHeaderDTOS;
	}

	public String getPushType() {
		return pushType;
	}

	public void setPushType(String pushType) {
		this.pushType = pushType;
	}

	public String getSourceSysName() {
		return sourceSysName;
	}

	public void setSourceSysName(String sourceSysName) {
		this.sourceSysName = sourceSysName;
	}

	public String getSourceSysId() {
		return sourceSysId;
	}

	public void setSourceSysId(String sourceSysId) {
		this.sourceSysId = sourceSysId;
	}

	public String getTargetSysName() {
		return targetSysName;
	}

	public void setTargetSysName(String targetSysName) {
		this.targetSysName = targetSysName;
	}

	public String getTargetSysId() {
		return targetSysId;
	}

	public void setTargetSysId(String targetSysId) {
		this.targetSysId = targetSysId;
	}

	@Override
	public String toString() {
		return "SysIntInfoDTO{" +
				"authorityoid='" + authorityoid + '\'' +
				", authorityoidName='" + authorityoidName + '\'' +
				", interfaceFunction='" + interfaceFunction + '\'' +
				", interfacetype='" + interfacetype + '\'' +
				", interfacetypeText='" + interfacetypeText + '\'' +
				", paramtype='" + paramtype + '\'' +
				", paramtypeText='" + paramtypeText + '\'' +
				", requestmethod='" + requestmethod + '\'' +
				", requestmethodText='" + requestmethodText + '\'' +
				", classifyoid='" + classifyoid + '\'' +
				", usedflag='" + usedflag + '\'' +
				", sysbaseoid='" + sysbaseoid + '\'' +
				", sysbaseid='" + sysbaseid + '\'' +
				", sysbasename='" + sysbasename + '\'' +
				", requesturl='" + requesturl + '\'' +
				", returntype='" + returntype + '\'' +
				", returntypeText='" + returntypeText + '\'' +
				", sourcesystemoid='" + sourcesystemoid + '\'' +
				", sourcesystemoidName='" + sourcesystemoidName + '\'' +
				", sourceSysName='" + sourceSysName + '\'' +
				", sourceSysId='" + sourceSysId + '\'' +
				", targetsystemoid='" + targetsystemoid + '\'' +
				", targetsystemoidName='" + targetsystemoidName + '\'' +
				", targetSysName='" + targetSysName + '\'' +
				", targetSysId='" + targetSysId + '\'' +
				", description='" + description + '\'' +
				", classPath='" + classPath + '\'' +
				", dataFlowType='" + dataFlowType + '\'' +
				", dataFlowTypeText='" + dataFlowTypeText + '\'' +
				", btmTypeId='" + btmTypeId + '\'' +
				", btmTypeName='" + btmTypeName + '\'' +
				", namespace='" + namespace + '\'' +
				", soapaction='" + soapaction + '\'' +
				", targName='" + targName + '\'' +
				", cxfaxis='" + cxfaxis + '\'' +
				", classifyid='" + classifyid + '\'' +
				", classifyname='" + classifyname + '\'' +
				", sysIntParamDTOs=" + sysIntParamDTOs +
				", sysIntHeaderDTOS=" + sysIntHeaderDTOS +
				", pushType='" + pushType + '\'' +
				'}';
	}
}
