package com.vci.web.dto;


import com.vci.ubcs.code.entity.BaseModel;

import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

/**
 * 编辑的数据,在单条数据增加和修改的时候使用
 * @author weidy
 * @date 2021-2-12
 */
public class BaseModelDTO extends BaseModel {

	/**
	 * 数据
	 */
	private Map<String,String> data = new HashMap<>();
	/**
	 * 子表的业务类型
	 */
	private String subBtmType;

	/**
	 * 子表的数据
	 */
	private List<Map<String,String>> subTableData = new ArrayList<Map<String,String>>();

	/**
	 * 前置事件
	 */
	private String preEvent;

	/**
	 * 后置事件
	 */
	private String postEvent;

	/**
	 * 要发布的文件的主键
	 */
	private List<String> releaseFileOids = new ArrayList<>();

	/**
	 * 升版次
	 */
	private boolean upVersion = false;

	/**
	 * 来源数据
	 */
	private List<Map<String,String>> sourceData = new ArrayList<>();

	/**
	 * 选择数据
	 */
	private List<Map<String,String>> selectData = new ArrayList<>();

	public List<Map<String, String>> getSourceData() {
		return sourceData;
	}

	public void setSourceData(List<Map<String, String>> sourceData) {
		this.sourceData = sourceData;
	}

	public List<Map<String, String>> getSelectData() {
		return selectData;
	}

	public void setSelectData(List<Map<String, String>> selectData) {
		this.selectData = selectData;
	}

	public boolean isUpVersion() {
		return upVersion;
	}

	public void setUpVersion(boolean upVersion) {
		this.upVersion = upVersion;
	}

	public String getPreEvent() {
		return preEvent;
	}

	public void setPreEvent(String preEvent) {
		this.preEvent = preEvent;
	}

	public String getPostEvent() {
		return postEvent;
	}

	public void setPostEvent(String postEvent) {
		this.postEvent = postEvent;
	}

	@Override
	public Map<String, String> getData() {
		return data;
	}

	@Override
	public void setData(Map<String, String> data) {
		this.data = data;
	}

	public String getSubBtmType() {
		return subBtmType;
	}

	public void setSubBtmType(String subBtmType) {
		this.subBtmType = subBtmType;
	}

	public List<Map<String, String>> getSubTableData() {
		return subTableData;
	}

	public void setSubTableData(List<Map<String, String>> subTableData) {
		this.subTableData = subTableData;
	}

	public List<String> getReleaseFileOids() {
		return releaseFileOids;
	}

	public void setReleaseFileOids(List<String> releaseFileOids) {
		this.releaseFileOids = releaseFileOids;
	}

	@Override
	public String toString() {
		return "BaseModelDTO{" +
			"data=" + data +
			", subBtmType='" + subBtmType + '\'' +
			", subTableData=" + subTableData +
			", preEvent='" + preEvent + '\'' +
			", postEvent='" + postEvent + '\'' +
			", releaseFileOids=" + releaseFileOids +
			", upVersion=" + upVersion +
			", sourceData=" + sourceData +
			", selectData=" + selectData +
			"} " + super.toString();
	}
}
