/*
 *      Copyright (c) 2018-2028, Chill Zhuang All rights reserved.
 *
 *  Redistribution and use in source and binary forms, with or without
 *  modification, are permitted provided that the following conditions are met:
 *
 *  Redistributions of source code must retain the above copyright notice,
 *  this list of conditions and the following disclaimer.
 *  Redistributions in binary form must reproduce the above copyright
 *  notice, this list of conditions and the following disclaimer in the
 *  documentation and/or other materials provided with the distribution.
 *  Neither the name of the dreamlu.net developer nor the names of its
 *  contributors may be used to endorse or promote products derived from
 *  this software without specific prior written permission.
 *  Author: Chill 庄骞 (smallchill@163.com)
 */
package com.vci.ubcs.code.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.springframework.data.annotation.Transient;

/**
 * 全部码值 实体类
 *
 * @author ludc
 * @since 2023-04-03
 */
@Data
@TableName("PL_CODE_ALLCODE")
@ApiModel(value = "CodeAllcode对象", description = "全部码值")
@EqualsAndHashCode(callSuper = true)
public class CodeAllcode extends BaseModel {

	/**
	 * 序列化
	 */
	private static final long serialVersionUID = 5020487634341415429L;
	/**
	 * 分类的主键
	 */
	private String codeClassifyOid;

	/**
	 * 规则的主键
	 */
	private String codeRuleOid;

	/**
	 * 规则的名称
	 */
	@Transient
	@TableField(exist = false)
	private String codeRuleOidName;

	/**
	 * 存储数据的模板
	 */
	private String codeClassifyTemplateOid;

	/**
	 * 码值的值
	 */
	private String id;

	/**
	 * 创建编码的业务类型
	 */
	private String createCodeBtm;

	/**
	 * 创建编码的业务数据主键
	 */
	private String createCodeOid;

	/***
	 * 流水依赖
	 */
	private String serialUnit;

	/**
	 * 没有填充前的流水号
	 */
	private String unFillSerial;

}
