package com.vci.ubcs.code.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.vci.ubcs.com.vci.starter.annotation.Transient;
import io.swagger.annotations.ApiModel;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * 主题库的分类
 * @author weidy
 * @date 2022-1-14
 */
//@VciBtmType(name = MdmBtmTypeConstant.CODE_CLASSIFY,text = "主题库分类",lifeCycle = FrameWorkLcStatusConstant.FRAME_WORK_LIFE_CYCLE_NAME)
@Data
@TableName("PL_CODE_CLASSIFY")
@ApiModel(value = "CodeClassify对象", description = "主题库的分类")
@EqualsAndHashCode(callSuper = true)
public class CodeClassify extends BaseModel {

	/**
	 * 序列化
	 */
	private static final long serialVersionUID = 2217599544701726951L;

	/**
	 * 分类的编号
	 */
	private String id;

	/**
	 * 分类的名称
	 */
	private String name;

	/**
	 * 上级的主键
	 */
	private String parentCodeClassifyOid;

	/**
	 * 排序号
	 */
	private Integer orderNum;

	/**
	 * 存储的业务类型
	 */
	private String btmTypeId;

	/**
	 * 存储的业务类型的中文名称
	 */
	private String btmTypeName;

	/**
	 * 编码规则的主键
	 */
	//@VciUseRefer(MdmBtmTypeConstant.CODE_RULE)
	private String codeRuleOid;

	/**
	 * 编码规则的名称
	 */
	@Transient(referColumn = "codeRuleOid.name")
	@TableField(exist = false)
	private String codeRuleOidName;

	/**
	 * 关键属性查询的规则
	 */
	//@VciUseRefer(MdmBtmTypeConstant.CODE_KEY_ATTR_REPEAT_RULE)
	private String codeKeyAttrRepeatOid;

	/**
	 * 关键属性查询的规则名称
	 */
	@Transient(referColumn = "codeKeyAttrRepeatOid.name")
	@TableField(exist = false)
	private String codeKeyAttrRepeatOidName;

	/**
	 * 相似项查询的规则主键
	 */
	//@VciUseRefer(MdmBtmTypeConstant.CODE_RESEMBLE_RULE)
	private String codeResembleRuleOid;

	/**
	 * 相似项查询规则名称
	 */
	@Transient(referColumn = "codeResembleRuleOid.name")
	@TableField(exist = false)
	private String codeResembleRuleOidName;

	/**
	 * 数据所在的层级
	 */
	@Transient
	@TableField(exist = false)
	private Integer dataLevel;

	/**
	 * 路径
	 */
	@Transient
	@TableField(exist = false)
	private String path;

	/***
	 * 名称路径
	 */
	@Transient
	@TableField(exist = false)
	private String namePath;

	/***
	 * 代码路径
	 */
	@Transient
	@TableField(exist = false)
	private String idPath;

}
