package com.vci.ubcs.code.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * 固定码段的码值
 * 相当于在枚举的作用，会有多个
 * @author weidy
 * @date 2022-1-18
 */
@Data
@TableName("PL_CODE_FIXEDVALUE")
@ApiModel(value = "CodeFixedValue对象", description = "固定码段的码值")
@EqualsAndHashCode(callSuper = true)
public class CodeFixedValue extends BaseModel {

	/**
	 * 序列化
	 */
	private static final long serialVersionUID = 3392365440606832597L;
	/**
	 * 固定码段主键
	 */
	//@VciUseRefer(MdmBtmTypeConstant.CODE_BASIC_SEC)
	private String codeFixedSecOid;

	/**
	 * 固定码段的码值
	 */
	private String id;

	/**
	 * 固定码段码值的描述
	 */
	private String name;

	/**
	 * 属性排序号
	 */
	private Integer orderNum;

	@Override
	public String getId() {
		return id;
	}

	@Override
	public void setId(String id) {
		this.id = id;
	}

	@Override
	public String getName() {
		return name;
	}

	@Override
	public void setName(String name) {
		this.name = name;
	}

	public String getCodeFixedSecOid() {
		return codeFixedSecOid;
	}

	public void setCodeFixedSecOid(String codeFixedSecOid) {
		this.codeFixedSecOid = codeFixedSecOid;
	}

	public Integer getOrderNum() {
		return orderNum;
	}

	public void setOrderNum(Integer orderNum) {
		this.orderNum = orderNum;
	}

	@Override
	public String toString() {
		return "CodeFixedValueDO{" +
			"codeFixedSecOid='" + codeFixedSecOid + '\'' +
			", id='" + id + '\'' +
			", name='" + name + '\'' +
			", orderNum=" + orderNum +
			"} " + super.toString();
	}

}
