/*
 *      Copyright (c) 2018-2028, Chill Zhuang All rights reserved.
 *
 *  Redistribution and use in source and binary forms, with or without
 *  modification, are permitted provided that the following conditions are met:
 *
 *  Redistributions of source code must retain the above copyright notice,
 *  this list of conditions and the following disclaimer.
 *  Redistributions in binary form must reproduce the above copyright
 *  notice, this list of conditions and the following disclaimer in the
 *  documentation and/or other materials provided with the distribution.
 *  Neither the name of the dreamlu.net developer nor the names of its
 *  contributors may be used to endorse or promote products derived from
 *  this software without specific prior written permission.
 *  Author: Chill 庄骞 (smallchill@163.com)
 */
package com.vci.ubcs.code.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * 编码规则 实体类
 *
 * @author ludc
 * @since 2023-04-03
 */
@Data
@TableName("PL_CODE_RULE")
@ApiModel(value = "CodeRule对象", description = "编码规则")
@EqualsAndHashCode(callSuper = true)
public class CodeRule extends BaseModel {

	/**
	 * 序列化
	 */
	private static final long serialVersionUID = -7142347409110551299L;

	/**
	 * 规则编号
	 */
	private String id;

	/**
	 * 规则的名称
	 */
	private String name;

	/**
	 * 规则的描述
	 */
	private String description;

}
