package com.vci.ubcs.code.vo.pagemodel;

import com.vci.ubcs.code.vo.pagemodel.BaseModelVO;

import java.util.List;

/**
 * 码段基础信息显示对象
 *
 * @author weidy
 * @date 2022-01-24
 */
public class CodeBasicSecVO extends BaseModelVO {

	/**
     * 禁止修改这个值
     */
	private static final long serialVersionUID = 4615707118400017877L;

	/**
	* 码段类型
	*/
	private String sectype;


	/**
	* 码段类型显示文本
	*/
	private String sectypeText;

	/**
	 * 所属编码规则
	 */
	private String pkCodeRule;

	/**
	 * 码段排序号
	 */
	private Integer orderNum;

	/**
	 * 码段长度类型
	 */
	private String codeSecLengthType;
	/**
	 * 码段长度类型显示文本
	 */
	private String codeSecLengthTypeText;

	/**
	 * 码段长度
	 */
	private String codeSecLength;

	/**
	 * 引用的属性的文本
	 */
	private String referAttributeName;

	/**
	 * 引用的属性英文名称
	 */
	private String referAttributeId;

	/**
	 * 取值规则
	 */
	private String getValueClass ;

	//前端输入后自动加入到枚举中
	/**
	 * 日期格式
	 */
	private String codeDateFormatStr;

	/**
	 * 层级类型
	 */
	private String codeLevelType;

	/**
	 * 层级类型显示文本
	 */
	private String codeLevelTypeText;

	/**
	 * 层级的值
	 */
	private Integer codeLevelValue;

	/**
	 * 值截取长度
	 */
	private Integer valueCutLength;

	/**
	 * 字符截取类型
	 */
	private String valueCutType;

	/**
	 * 字符串截取类型显示文本
	 */
	private String valueCutTypeText;

	/**
	 * 取值类型
	 */
	private String codeGetValueType;

	/**
	 * 取值类型显示文本
	 */
	private String codeGetValueTypeText;

	/**
	 * 引用的属性所属的库分类
	 */
	private String referCodeClassifyOid;

	/**
	 * 引用的属性所属库分类名称
	 */
	private String referCodeClassifyOidName;

	/**
	 * 引用的业务类型
	 */
	private String referBtmId;

	/**
	 * 引用的业务类型名称
	 */
	private String referBtmName;

	/**
	 * 参照的窗口配置
	 */
	private String referConfig;

	/**
	 * 显示信息
	 */
	private String referValueInfo;

	/**
	 * 过滤的sql内容
	 */
	private String filterSql ;


	/**
	 * 流水号起始值
	 */
	private String serialStart;

	/**
	 * 流水的步长
	 */
	private Integer serialStep;


	/**
	 * 编码补位方式
	 */
	private String codeFillType;

	/**
	 * 编码补位方式显示文本
	 */
	private String codeFillTypeText;

	/**
	 * 补位时的字符
	 */
	private String codeFillSeparator;

	/**
	 * 填充长度
	 */
	private String codeFillLength;

	/**
	 * 上限
	 */
	private Integer codeFillLimit;

	/**
	 * 流水是否补码
	 */
	private String codeFillFlag;

	/**
	 * 自定义的流水算法类
	 */
	private String customCodeSerialClass;

	/**
	 * 是否自动匹配分类值
	 */
	private String matchClassifyValueFlag;

	/**
	 * 父分类码段主键
	 */
	private String parentClassifySecOid;

	/**
	 * 父分类码段名称
	 */
	private String parentClassifySecText;


	/**
	 * 是否可以为空
	 */
	private String nullableFlag;

	/**
	 * 是否参与编码
	 */
	private String componentCodeFlag;

	/**
	 * 是否流水依赖
	 */
	private String serialDependFlag;

	/**
	 * 是否显示
	 */
	private String displayFlag;

	/**
	 * 流水依赖顺序
	 */
	private Integer serialDependOrder;

	/**
	 * 固定码的码值内容
	 */
	private List<CodeFixedValueVO> fixedValueVOList;

	public String getReferCodeClassifyOidName() {
		return referCodeClassifyOidName;
	}

	public void setReferCodeClassifyOidName(String referCodeClassifyOidName) {
		this.referCodeClassifyOidName = referCodeClassifyOidName;
	}

	public String getReferAttributeId() {
		return referAttributeId;
	}

	public void setReferAttributeId(String referAttributeId) {
		this.referAttributeId = referAttributeId;
	}

	//分类的内容不能直接放，因为可能很多

	public String getPkCodeRule() {
		return pkCodeRule;
	}

	public void setPkCodeRule(String pkCodeRule) {
		this.pkCodeRule = pkCodeRule;
	}

	public Integer getOrderNum() {
		return orderNum;
	}

	public void setOrderNum(Integer orderNum) {
		this.orderNum = orderNum;
	}

	public String getCodeSecLengthTypeText() {
		return codeSecLengthTypeText;
	}

	public void setCodeSecLengthTypeText(String codeSecLengthTypeText) {
		this.codeSecLengthTypeText = codeSecLengthTypeText;
	}

	public String getMatchClassifyValueFlag() {
		return matchClassifyValueFlag;
	}

	public void setMatchClassifyValueFlag(String matchClassifyValueFlag) {
		this.matchClassifyValueFlag = matchClassifyValueFlag;
	}

	public String getParentClassifySecOid() {
		return parentClassifySecOid;
	}

	public void setParentClassifySecOid(String parentClassifySecOid) {
		this.parentClassifySecOid = parentClassifySecOid;
	}

	public String getParentClassifySecText() {
		return parentClassifySecText;
	}

	public void setParentClassifySecText(String parentClassifySecText) {
		this.parentClassifySecText = parentClassifySecText;
	}

	public String getNullableFlag() {
		return nullableFlag;
	}

	public void setNullableFlag(String nullableFlag) {
		this.nullableFlag = nullableFlag;
	}

	public String getComponentCodeFlag() {
		return componentCodeFlag;
	}

	public void setComponentCodeFlag(String componentCodeFlag) {
		this.componentCodeFlag = componentCodeFlag;
	}

	public String getSerialDependFlag() {
		return serialDependFlag;
	}

	public void setSerialDependFlag(String serialDependFlag) {
		this.serialDependFlag = serialDependFlag;
	}

	public String getDisplayFlag() {
		return displayFlag;
	}

	public void setDisplayFlag(String displayFlag) {
		this.displayFlag = displayFlag;
	}

	public Integer getSerialDependOrder() {
		return serialDependOrder;
	}

	public void setSerialDependOrder(Integer serialDependOrder) {
		this.serialDependOrder = serialDependOrder;
	}

	/**
	* 设置 码段类型
	*/
	public void setSectype (String sectype){
		this.sectype = sectype;
	}

	public String getSectypeText() {
		return sectypeText;
	}

	public void setSectypeText(String sectypeText) {
		this.sectypeText = sectypeText;
	}

	public String getSectype() {
		return sectype;
	}

	public String getCodeSecLengthType() {
		return codeSecLengthType;
	}

	public void setCodeSecLengthType(String codeSecLengthType) {
		this.codeSecLengthType = codeSecLengthType;
	}

	public String getCodeSecLength() {
		return codeSecLength;
	}

	public void setCodeSecLength(String codeSecLength) {
		this.codeSecLength = codeSecLength;
	}

	public String getGetValueClass() {
		return getValueClass;
	}

	public void setGetValueClass(String getValueClass) {
		this.getValueClass = getValueClass;
	}

	public String getCodeDateFormatStr() {
		return codeDateFormatStr;
	}

	public void setCodeDateFormatStr(String codeDateFormatStr) {
		this.codeDateFormatStr = codeDateFormatStr;
	}

	public String getCodeLevelType() {
		return codeLevelType;
	}

	public void setCodeLevelType(String codeLevelType) {
		this.codeLevelType = codeLevelType;
	}

	public String getCodeLevelTypeText() {
		return codeLevelTypeText;
	}

	public void setCodeLevelTypeText(String codeLevelTypeText) {
		this.codeLevelTypeText = codeLevelTypeText;
	}

	public Integer getCodeLevelValue() {
		return codeLevelValue;
	}

	public void setCodeLevelValue(Integer codeLevelValue) {
		this.codeLevelValue = codeLevelValue;
	}

	public Integer getValueCutLength() {
		return valueCutLength;
	}

	public void setValueCutLength(Integer valueCutLength) {
		this.valueCutLength = valueCutLength;
	}

	public String getValueCutType() {
		return valueCutType;
	}

	public void setValueCutType(String valueCutType) {
		this.valueCutType = valueCutType;
	}

	public String getValueCutTypeText() {
		return valueCutTypeText;
	}

	public void setValueCutTypeText(String valueCutTypeText) {
		this.valueCutTypeText = valueCutTypeText;
	}

	public String getCodeGetValueType() {
		return codeGetValueType;
	}

	public void setCodeGetValueType(String codeGetValueType) {
		this.codeGetValueType = codeGetValueType;
	}

	public String getCodeGetValueTypeText() {
		return codeGetValueTypeText;
	}

	public void setCodeGetValueTypeText(String codeGetValueTypeText) {
		this.codeGetValueTypeText = codeGetValueTypeText;
	}

	public String getReferCodeClassifyOid() {
		return referCodeClassifyOid;
	}

	public void setReferCodeClassifyOid(String referCodeClassifyOid) {
		this.referCodeClassifyOid = referCodeClassifyOid;
	}

	public String getReferConfig() {
		return referConfig;
	}

	public void setReferConfig(String referConfig) {
		this.referConfig = referConfig;
	}

	public String getReferValueInfo() {
		return referValueInfo;
	}

	public void setReferValueInfo(String referValueInfo) {
		this.referValueInfo = referValueInfo;
	}

	public String getFilterSql() {
		return filterSql;
	}

	public void setFilterSql(String filterSql) {
		this.filterSql = filterSql;
	}

	public String getSerialStart() {
		return serialStart;
	}

	public void setSerialStart(String serialStart) {
		this.serialStart = serialStart;
	}

	public Integer getSerialStep() {
		return serialStep;
	}

	public void setSerialStep(Integer serialStep) {
		this.serialStep = serialStep;
	}

	public String getCodeFillType() {
		return codeFillType;
	}

	public void setCodeFillType(String codeFillType) {
		this.codeFillType = codeFillType;
	}

	public String getCodeFillTypeText() {
		return codeFillTypeText;
	}

	public void setCodeFillTypeText(String codeFillTypeText) {
		this.codeFillTypeText = codeFillTypeText;
	}

	public String getCodeFillSeparator() {
		return codeFillSeparator;
	}

	public void setCodeFillSeparator(String codeFillSeparator) {
		this.codeFillSeparator = codeFillSeparator;
	}

	public String getCodeFillLength() {
		return codeFillLength;
	}

	public void setCodeFillLength(String codeFillLength) {
		this.codeFillLength = codeFillLength;
	}

	public Integer getCodeFillLimit() {
		return codeFillLimit;
	}

	public void setCodeFillLimit(Integer codeFillLimit) {
		this.codeFillLimit = codeFillLimit;
	}

	public String getCodeFillFlag() {
		return codeFillFlag;
	}

	public void setCodeFillFlag(String codeFillFlag) {
		this.codeFillFlag = codeFillFlag;
	}

	public String getCustomCodeSerialClass() {
		return customCodeSerialClass;
	}

	public void setCustomCodeSerialClass(String customCodeSerialClass) {
		this.customCodeSerialClass = customCodeSerialClass;
	}


	public List<CodeFixedValueVO> getFixedValueVOList() {
		return fixedValueVOList;
	}

	public void setFixedValueVOList(List<CodeFixedValueVO> fixedValueVOList) {
		this.fixedValueVOList = fixedValueVOList;
	}

	public String getReferAttributeName() {
		return referAttributeName;
	}

	public void setReferAttributeName(String referAttributeName) {
		this.referAttributeName = referAttributeName;
	}

	public String getReferBtmId() {
		return referBtmId;
	}

	public void setReferBtmId(String referBtmId) {
		this.referBtmId = referBtmId;
	}

	public String getReferBtmName() {
		return referBtmName;
	}

	public void setReferBtmName(String referBtmName) {
		this.referBtmName = referBtmName;
	}

	@Override
	public String toString() {
		return "CodeBasicSecVO{" +
				"sectype='" + sectype + '\'' +
				", sectypeText='" + sectypeText + '\'' +
				", pkCodeRule='" + pkCodeRule + '\'' +
				", orderNum=" + orderNum +
				", codeSecLengthType='" + codeSecLengthType + '\'' +
				", codeSecLengthTypeText='" + codeSecLengthTypeText + '\'' +
				", codeSecLength='" + codeSecLength + '\'' +
				", referAttributeName='" + referAttributeName + '\'' +
				", referAttributeId='" + referAttributeId + '\'' +
				", getValueClass='" + getValueClass + '\'' +
				", codeDateFormatStr='" + codeDateFormatStr + '\'' +
				", codeLevelType='" + codeLevelType + '\'' +
				", codeLevelTypeText='" + codeLevelTypeText + '\'' +
				", codeLevelValue=" + codeLevelValue +
				", valueCutLength=" + valueCutLength +
				", valueCutType='" + valueCutType + '\'' +
				", valueCutTypeText='" + valueCutTypeText + '\'' +
				", codeGetValueType='" + codeGetValueType + '\'' +
				", codeGetValueTypeText='" + codeGetValueTypeText + '\'' +
				", referCodeClassifyOid='" + referCodeClassifyOid + '\'' +
				", referCodeClassifyOidName='" + referCodeClassifyOidName + '\'' +
				", referBtmId='" + referBtmId + '\'' +
				", referBtmName='" + referBtmName + '\'' +
				", referConfig='" + referConfig + '\'' +
				", referValueInfo='" + referValueInfo + '\'' +
				", filterSql='" + filterSql + '\'' +
				", serialStart='" + serialStart + '\'' +
				", serialStep=" + serialStep +
				", codeFillType='" + codeFillType + '\'' +
				", codeFillTypeText='" + codeFillTypeText + '\'' +
				", codeFillSeparator='" + codeFillSeparator + '\'' +
				", codeFillLength='" + codeFillLength + '\'' +
				", codeFillLimit=" + codeFillLimit +
				", codeFillFlag='" + codeFillFlag + '\'' +
				", customCodeSerialClass='" + customCodeSerialClass + '\'' +
				", matchClassifyValueFlag='" + matchClassifyValueFlag + '\'' +
				", parentClassifySecOid='" + parentClassifySecOid + '\'' +
				", parentClassifySecText='" + parentClassifySecText + '\'' +
				", nullableFlag='" + nullableFlag + '\'' +
				", componentCodeFlag='" + componentCodeFlag + '\'' +
				", serialDependFlag='" + serialDependFlag + '\'' +
				", displayFlag='" + displayFlag + '\'' +
				", serialDependOrder=" + serialDependOrder +
				", fixedValueVOList=" + fixedValueVOList +
				"} " + super.toString();
	}
}
