package com.vci.ubcs.code.vo.pagemodel;

import com.vci.ubcs.code.vo.pagemodel.BaseModelVO;

import java.util.List;

/**
 * 记录工艺推送过来的数据信息显示对象
 *
 * @author weidy
 * @date 2022-04-05
 */
public class DockingPreApplyDataVO extends BaseModelVO {

	/**
     * 禁止修改这个值
     */
	private static final long serialVersionUID = 4615707118846979001L;

	/**
	 * 申请oid
	 */
	private String preapplyoid;

	/**
	 * 唯一标识，工艺里边的图号
	 */
	private String uniquecode;

	/**
	 * 主题库编号
	 */
	private String type;

	/**
	 * 系统编号
	 */
	private String systemid;

	/**
	 * 正在使用标志
	 */
	private String useddflag;

	/**
	 * 关联分类操作过后，记录的关联分类oid
	 */
	private String classifyoid;

	/**
	 * 关联分类操作过后，记录的关联分类名称
	 */
	private String classifyname;

	/**
	 * 申请成功后的编码，编辑中、未发布、停用的编码不显示，只有正式的编码才显示
	 */
	private String num;
	/**
	 * 规格型号
	 */
	private String model;
	/**
	 * 零件类型
	 */
	private String parttype;
	/**
	 * 计量单位
	 */
	private String unit;

	/**
	 * 单重
	 */
	private String weight;

	/**
	 * 是否重要件
	 */
	private String importantPart;

	/**
	 * 是否关键件
	 */
	private String keyPart;
	/**
	 * 数据处理返回状态码
	 */
	private String datacode;

	/**
	 * 数据处理返回信息
	 */
	private String datamsg;

	private List<DockingPreApplyDataInfoVO> dockingPreApplyDataInfoVOs;

	public String getPreapplyoid() {
		return preapplyoid;
	}

	public void setPreapplyoid(String preapplyoid) {
		this.preapplyoid = preapplyoid;
	}

	public String getUniquecode() {
		return uniquecode;
	}

	public void setUniquecode(String uniquecode) {
		this.uniquecode = uniquecode;
	}

	public String getType() {
		return type;
	}

	public void setType(String type) {
		this.type = type;
	}

	public String getSystemid() {
		return systemid;
	}

	public void setSystemid(String systemid) {
		this.systemid = systemid;
	}

	public String getUseddflag() {
		return useddflag;
	}

	public void setUseddflag(String useddflag) {
		this.useddflag = useddflag;
	}

	public String getClassifyoid() {
		return classifyoid;
	}

	public void setClassifyoid(String classifyoid) {
		this.classifyoid = classifyoid;
	}

	public String getClassifyname() {
		return classifyname;
	}

	public void setClassifyname(String classifyname) {
		this.classifyname = classifyname;
	}

	public String getNum() {
		return num;
	}

	public void setNum(String num) {
		this.num = num;
	}

	public String getDatacode() {
		return datacode;
	}

	public void setDatacode(String datacode) {
		this.datacode = datacode;
	}

	public String getDatamsg() {
		return datamsg;
	}

	public void setDatamsg(String datamsg) {
		this.datamsg = datamsg;
	}

	public String getModel() {
		return model;
	}

	public void setModel(String model) {
		this.model = model;
	}

	public String getParttype() {
		return parttype;
	}

	public void setParttype(String parttype) {
		this.parttype = parttype;
	}

	public String getUnit() {
		return unit;
	}

	public void setUnit(String unit) {
		this.unit = unit;
	}

	public String getWeight() {
		return weight;
	}

	public void setWeight(String weight) {
		this.weight = weight;
	}

	public String getImportantPart() {
		return importantPart;
	}

	public void setImportantPart(String importantPart) {
		this.importantPart = importantPart;
	}

	public String getKeyPart() {
		return keyPart;
	}

	public void setKeyPart(String keyPart) {
		this.keyPart = keyPart;
	}

	public List<DockingPreApplyDataInfoVO> getDockingPreApplyDataInfoVOs() {
		return dockingPreApplyDataInfoVOs;
	}

	public void setDockingPreApplyDataInfoVOs(List<DockingPreApplyDataInfoVO> dockingPreApplyDataInfoVOs) {
		this.dockingPreApplyDataInfoVOs = dockingPreApplyDataInfoVOs;
	}

	@Override
	public String toString() {
		return "DockingPreApplyDataVO{" +
				"preapplyoid='" + preapplyoid + '\'' +
				", uniquecode='" + uniquecode + '\'' +
				", type='" + type + '\'' +
				", systemid='" + systemid + '\'' +
				", useddflag='" + useddflag + '\'' +
				", classifyoid='" + classifyoid + '\'' +
				", classifyname='" + classifyname + '\'' +
				", num='" + num + '\'' +
				", model='" + model + '\'' +
				", parttype='" + parttype + '\'' +
				", unit='" + unit + '\'' +
				", weight='" + weight + '\'' +
				", importantPart='" + importantPart + '\'' +
				", keyPart='" + keyPart + '\'' +
				", datacode='" + datacode + '\'' +
				", datamsg='" + datamsg + '\'' +
				", dockingPreApplyDataInfoVOs=" + dockingPreApplyDataInfoVOs +
				'}';
	}
}
