package com.vci.ubcs.com.vci.starter.web.service;

import com.baomidou.mybatisplus.core.toolkit.StringUtils;
import com.vci.ubcs.com.vci.starter.util.VciBaseUtil;
import com.vci.ubcs.com.vci.starter.web.enumpck.UserSecretEnum;
import com.vci.ubcs.com.vci.starter.web.pagemodel.SessionInfo;

public interface VciSecretServiceI {

	default String getLessThanUserSecretSql() {
		SessionInfo sessionInfo = VciBaseUtil.getCurrentUserSessionInfoNotException();
		return sessionInfo != null ? sessionInfo.getUserSecret() : "";
	}

	default boolean checkUserSecret(int dataSecret) {
		SessionInfo sessionInfo = VciBaseUtil.getCurrentUserSessionInfoNotException();
		if (sessionInfo != null) {
			if (StringUtils.isBlank(sessionInfo.getUserSecret())) {
				sessionInfo.setUserSecret(UserSecretEnum.NONE.getValue() + "");
			}

			return VciBaseUtil.getInt(sessionInfo.getUserSecret()) >= dataSecret;
		} else {
			return false;
		}
	}

}
