package com.vci.ubcs.code.constant;

import java.util.ArrayList;
import java.util.List;

/**
 * 主数据引擎相关的常量
 * @author weidy
 * @date 2022-3-8
 */
public class MdmEngineConstant {
    /**
     * 编码的字段
     */
    public static final String CODE_FIELD = "id";

    /**
     * 状态
     */
    public static final String CODE_STATUS_FILED = "lcstatus";

    /**
     * 集团码的字段
     */
    public static final String CODE_GROUP_FIELD = "groupcode";

    /**
     * 分类的主键字段
     */
    public static final String CODE_CLASSIFY_OID_FIELD = "codeclsfid";

    /**
     * 模板的主键字段
     */
    public static final String CODE_TEMPLATE_OID_FIELD = "codetemplateoid";

    /**
     * 分类全路径的字段
     */
    public static final String CODE_FULL_PATH_FILED = "codeclsfpath";

    /**
     * 码段的长度的字段，-这不是数据库里的字段
     */
    public static final String CODE_SEC_LENGTH_FIELD = "codeSecLengthField";

    /**
     * 密级的字段
     */
    public static final String SECRET_FIELD = "secretgrade";
    /**
     * 创建者字段
     */
    public static final String CODE_CREATOR = "creator";
    /**
     * 更改者字段
     */
    public static final String CODE_EDITOR = "lastmodifier";
    /**
     * 默认的属性列表
     */
    public static final List DEFAULT_ATTR_LIST = new ArrayList(){{
        add(CODE_FIELD);
        add(CODE_STATUS_FILED);
        add(CODE_GROUP_FIELD);
        add(CODE_CLASSIFY_OID_FIELD);
        add(CODE_TEMPLATE_OID_FIELD);
        add(CODE_FULL_PATH_FILED);
    }};

    /**
     * 默认的属性列表
     */
    public static final List DEFAULT_SYNC_ATTR_LIST = new ArrayList(){{
        add(CODE_FIELD);
        add(CODE_STATUS_FILED);
        add(CODE_GROUP_FIELD);
        add(CODE_CLASSIFY_OID_FIELD);
        add(CODE_TEMPLATE_OID_FIELD);
        add(CODE_FULL_PATH_FILED);
        add(CODE_EDITOR);
        add(CODE_CREATOR);
    }};

    /**
     * 行号
     */
    public static final String IMPORT_ROW_INDEX = "${rowIndex}";

    /**
     * 空的流水依据
     */
    public static final String EMPTY_SERIAL_UNIT = "${emptyserial}";

    /**
     * 流水依赖的连接符
     */
    public static final String SERIAL_UNIT_SPACE = "${serial}";

    /**
     * 流程值的分隔符
     */
    public static final String SERIAL_VALUE_SPACE = "${sav}";

}
