/*
 *      Copyright (c) 2018-2028, Chill Zhuang All rights reserved.
 *
 *  Redistribution and use in source and binary forms, with or without
 *  modification, are permitted provided that the following conditions are met:
 *
 *  Redistributions of source code must retain the above copyright notice,
 *  this list of conditions and the following disclaimer.
 *  Redistributions in binary form must reproduce the above copyright
 *  notice, this list of conditions and the following disclaimer in the
 *  documentation and/or other materials provided with the distribution.
 *  Neither the name of the dreamlu.net developer nor the names of its
 *  contributors may be used to endorse or promote products derived from
 *  this software without specific prior written permission.
 *  Author: Chill 庄骞 (smallchill@163.com)
 */
package com.vci.ubcs.code.dto;

import com.vci.ubcs.code.entity.CodeRule;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.util.List;

/**
 * 编码规则 数据传输对象实体类
 *
 * @author ludc
 * @since 2023-04-03
 */
@Data
@EqualsAndHashCode(callSuper = true)
public class CodeRuleDTO extends CodeRule {

	/**
	 * 禁止修改这个值
	 */
	private static final long serialVersionUID = 4615707117067738769L;

	/**
	 * 码段集合
	 */
	private List<CodeBasicSecDTO> elements;

	public List<CodeBasicSecDTO> getElements() {
		return elements;
	}

	public void setElements(List<CodeBasicSecDTO> elements) {
		this.elements = elements;
	}

	@Override
	public String toString() {
		return "CodeRuleDTO{" +
			"elements=" + elements +
			'}'+ super.toString();
	}

}
