/*
 *      Copyright (c) 2018-2028, Chill Zhuang All rights reserved.
 *
 *  Redistribution and use in source and binary forms, with or without
 *  modification, are permitted provided that the following conditions are met:
 *
 *  Redistributions of source code must retain the above copyright notice,
 *  this list of conditions and the following disclaimer.
 *  Redistributions in binary form must reproduce the above copyright
 *  notice, this list of conditions and the following disclaimer in the
 *  documentation and/or other materials provided with the distribution.
 *  Neither the name of the dreamlu.net developer nor the names of its
 *  contributors may be used to endorse or promote products derived from
 *  this software without specific prior written permission.
 *  Author: Chill 庄骞 (smallchill@163.com)
 */
package com.vci.ubcs.code.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.vci.ubcs.code.entity.CodeAllcode;
import com.vci.ubcs.code.vo.pagemodel.CodeAllcodeVO;

import java.util.List;

/**
 * 全部码值 Mapper 接口
 *
 * @author ludc
 * @since 2023-04-03
 */
public interface CodeAllcodeMapper extends BaseMapper<CodeAllcode> {

	/**
	 * 自定义分页
	 *
	 * @param page
	 * @param CodeAllcode
	 * @return
	 */
	List<CodeAllcodeVO> selectCodeAllcodePage(IPage page, CodeAllcodeVO CodeAllcode);


}
