/*
 *      Copyright (c) 2018-2028, Chill Zhuang All rights reserved.
 *
 *  Redistribution and use in source and binary forms, with or without
 *  modification, are permitted provided that the following conditions are met:
 *
 *  Redistributions of source code must retain the above copyright notice,
 *  this list of conditions and the following disclaimer.
 *  Redistributions in binary form must reproduce the above copyright
 *  notice, this list of conditions and the following disclaimer in the
 *  documentation and/or other materials provided with the distribution.
 *  Neither the name of the dreamlu.net developer nor the names of its
 *  contributors may be used to endorse or promote products derived from
 *  this software without specific prior written permission.
 *  Author: Chill 庄骞 (smallchill@163.com)
 */
package com.vci.ubcs.code.service.impl;

import com.baomidou.mybatisplus.core.conditions.Wrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.vci.ubcs.code.entity.CodeAllcode;
import com.vci.ubcs.code.mapper.CodeAllcodeMapper;
import com.vci.ubcs.code.service.ICodeAllcodeService;
import com.vci.ubcs.code.vo.pagemodel.CodeAllcodeVO;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.List;

/**
 * 全部码值 服务实现类
 *
 * @author ludc
 * @since 2023-04-03
 */
@Service
public class CodeAllcodeServiceImpl extends ServiceImpl<CodeAllcodeMapper, CodeAllcode> implements ICodeAllcodeService {

	/**
	 * 数据操作对象
	 */
	@Resource
	private CodeAllcodeMapper codeAllcodeMapper;

	@Override
	public IPage<CodeAllcodeVO> selectCodeAllcodePage(IPage<CodeAllcodeVO> page, CodeAllcodeVO CodeAllcode) {
		return page.setRecords(baseMapper.selectCodeAllcodePage(page, CodeAllcode));
	}

	/**
	 * 使用查询封装器来查询
	 * @param wrapper 查询封装器
	 * @return 数据对象
	 */
	@Override
	public List<CodeAllcode> selectByWrapper(Wrapper wrapper) {
		return this.codeAllcodeMapper.selectList(wrapper);
	}


}
