/*
 *      Copyright (c) 2018-2028, Chill Zhuang All rights reserved.
 *
 *  Redistribution and use in source and binary forms, with or without
 *  modification, are permitted provided that the following conditions are met:
 *
 *  Redistributions of source code must retain the above copyright notice,
 *  this list of conditions and the following disclaimer.
 *  Redistributions in binary form must reproduce the above copyright
 *  notice, this list of conditions and the following disclaimer in the
 *  documentation and/or other materials provided with the distribution.
 *  Neither the name of the dreamlu.net developer nor the names of its
 *  contributors may be used to endorse or promote products derived from
 *  this software without specific prior written permission.
 *  Author: Chill 庄骞 (smallchill@163.com)
 */
package com.vci.ubcs.code.wrapper;

import org.springblade.core.mp.support.BaseEntityWrapper;
import org.springblade.core.tool.utils.BeanUtil;
import com.vci.ubcs.code.entity.CodeAllcode;
import com.vci.ubcs.code.vo.pagemodel.CodeAllcodeVO;
import java.util.Objects;

/**
 * 全部码值 包装类,返回视图层所需的字段
 *
 * @author ludc
 * @since 2023-04-03
 */
public class CodeAllcodeWrapper extends BaseEntityWrapper<CodeAllcode, CodeAllcodeVO>  {

	public static CodeAllcodeWrapper build() {
		return new CodeAllcodeWrapper();
 	}

	@Override
	public CodeAllcodeVO entityVO(CodeAllcode CodeAllcode) {
		CodeAllcodeVO CodeAllcodeVO = Objects.requireNonNull(BeanUtil.copy(CodeAllcode, CodeAllcodeVO.class));

		//User createUser = UserCache.getUser(CodeAllcode.getCreateUser());
		//User updateUser = UserCache.getUser(CodeAllcode.getUpdateUser());
		//CodeAllcodeVO.setCreateUserName(createUser.getName());
		//CodeAllcodeVO.setUpdateUserName(updateUser.getName());

		return CodeAllcodeVO;
	}


}
