/*
 *      Copyright (c) 2018-2028, Chill Zhuang All rights reserved.
 *
 *  Redistribution and use in source and binary forms, with or without
 *  modification, are permitted provided that the following conditions are met:
 *
 *  Redistributions of source code must retain the above copyright notice,
 *  this list of conditions and the following disclaimer.
 *  Redistributions in binary form must reproduce the above copyright
 *  notice, this list of conditions and the following disclaimer in the
 *  documentation and/or other materials provided with the distribution.
 *  Neither the name of the dreamlu.net developer nor the names of its
 *  contributors may be used to endorse or promote products derived from
 *  this software without specific prior written permission.
 *  Author: Chill 庄骞 (smallchill@163.com)
 */
package com.vci.ubcs.code.wrapper;

import com.vci.ubcs.code.entity.CodeRule;
import com.vci.ubcs.code.lifecycle.CodeRuleLC;
import com.vci.ubcs.code.vo.pagemodel.CodeRuleVO;
import org.springblade.core.mp.support.BaseEntityWrapper;
import org.springblade.core.tool.utils.BeanUtil;

import java.util.List;
import java.util.Objects;
import java.util.stream.Collectors;

/**
 * 编码规则 包装类,返回视图层所需的字段
 *
 * @author ludc
 * @since 2023-04-03
 */
public class CodeRuleWrapper extends BaseEntityWrapper<CodeRule, CodeRuleVO>  {

	public static CodeRuleWrapper build() {
		return new CodeRuleWrapper();
 	}

	@Override
	public CodeRuleVO entityVO(CodeRule codeRule) {
		CodeRuleVO codeRuleVO = Objects.requireNonNull(BeanUtil.copy(codeRule, CodeRuleVO.class));
		codeRuleVO.setLcStatusText(CodeRuleLC.getTextByValue(codeRuleVO.getLcStatus()));
		return codeRuleVO;
	}

	@Override
	public List<CodeRuleVO> listVO(List<CodeRule> list) {
		return (List)list.stream().map(this::entityVO).collect(Collectors.toList());
	}

}
