package com.vci.ubcs.system.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import org.apache.ibatis.annotations.Param;
import com.vci.ubcs.system.entity.Combination;

import java.util.List;

/**
 * 密码组合方式表(PlSysCombination)表数据库访问层
 *
 * @author ludc
 * @since 2023-03-20 15:23:17
 */
public interface CombinationMapper extends BaseMapper<Combination> {

	/**
	 * 通过ID查询单条数据
	 *
	 * @param id 主键
	 * @return 实例对象
	 */
	Combination queryById(String id);

	/**
	 * 自定义分页
	 * @param page
	 * @param combination
	 * @return
	 */
	List<Combination> selectCombinationPage(IPage page, Combination combination);

	/**
	 * 统计总行数
	 *
	 * @param combination 查询条件
	 * @return 总行数
	 */
	long count(Combination combination);

	/**
	 * 查询组合方式正则
	 *
	 * @param combinationIds 查询条件
	 * @return 总行数
	 */
	String queryRegex(@Param("combinationIds") List<String> combinationIds);

	/**
	 * 查询组合方式对应正则集合
	 *
	 * @param combinationIds 查询条件
	 * @return 总行数
	 */
	List<String> queryRegexList(@Param("combinationIds") List<String> combinationIds);

}

