package com.vci.ubcs.system.mapper;


import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import org.apache.ibatis.annotations.Param;
import com.vci.ubcs.system.entity.Strategy;

import java.util.List;

/**
 * 密码策略(PlSysStrategy)表数据库访问层
 *
 * @author ludc
 * @since 2023-03-20 15:16:15
 */
public interface StrategyMapper extends BaseMapper<Strategy> {

	/**
	 * 查询指定行数据
	 *
	 * @param page 分页对象
	 * @return 对象列表
	 */
	List<Strategy> queryAllByPage(IPage page);

	/**
	 * 统计总行数
	 *
	 * @param sysStrategy 查询条件
	 * @return 总行数
	 */
	long count(Strategy sysStrategy);

	/**
	 * 根据用户名以及租户ID查询密码策略
	 * @return
	 */
	Strategy queryByNameAndTenantId(@Param("tenantId") String tenantId,@Param("name") String name);

	/**
	 * 根据用户id进行查询
	 *
	 * @param userId 用户id
	 * @return 对象
	 */
	Strategy queryByUserId(@Param("userId") Long userId);

	Strategy queryByIsDefault();

}

