package com.vci.ubcs.system.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Param;
import com.vci.ubcs.system.entity.ValueRange;
import org.springframework.data.domain.Pageable;

import java.util.List;

/**
 * (ValueRannge)表数据库访问层
 *
 * @author ludc
 * @since 2023-03-20 15:23:25
 */
public interface ValueRangeMapper extends BaseMapper<ValueRange> {

	/**
	 * 查询指定行数据
	 *
	 * @param valueRannge 查询条件
	 * @param pageable    分页对象
	 * @return 对象列表
	 */
	List<ValueRange> queryAllByLimit(ValueRange valueRannge, @Param("pageable") Pageable pageable);

	/**
	 * 统计总行数
	 *
	 * @param valueRannge 查询条件
	 * @return 总行数
	 */
	long count(ValueRange valueRannge);


	/**
	 * 根据组合id查询取值
	 * @return
	 */
	List<String> queryByCombinationIds(@Param("combinationIds") List<String> combinationIds);

}

