package com.vci.ubcs.system.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;
import com.vci.ubcs.system.entity.Combination;

import java.util.List;
import java.util.Map;

/**
 * 密码组合方式表(PlSysCombination)表服务接口
 *
 * @author makejava
 * @since 2023-03-20 15:23:21
 */
public interface ICombinationService extends IService<Combination> {

	/**
	 * 通过ID查询单条数据
	 *
	 * @param id 主键
	 * @return 实例对象
	 */
	Combination queryById(Long id);

	/**
	 * 分页查询
	 *
	 * @param combination 筛选条件
	 * @param page      分页对象
	 * @return 查询结果
	 */
	IPage<Combination> selectCombinationPage(Combination combination, IPage<Combination> page);

	/**
	 * 新增数据和修改数据
	 *
	 * @param combination 实例对象
	 * @return 实例对象
	 */
	boolean submit(Combination combination);

	/**
	 * 通过主键删除数据
	 *
	 * @param ids
	 * @return 是否成功
	 */
	boolean deleteByIds(List<String> ids);

	/**
	 * 下拉数据源查询
	 * 查询组合id（key）：组合名（value）
	 * @return
	 */
	List<Map<String,Object>> selectMaps();

	/**
	 * 查询拼接完整的正则
	 * @param combinationIds
	 * @return
	 */
	String getRegex(List<String> combinationIds);

	/**
	 * 根据组合id查询正则集合
	 * @param combinationIds
	 * @return
	 */
	List<String> getRegexList(List<String> combinationIds);
}
