package com.vci.ubcs.system.service;

import com.baomidou.mybatisplus.extension.service.IService;
import org.springblade.core.mp.support.Query;
import com.vci.ubcs.system.entity.Strategy;
import org.springframework.data.domain.PageImpl;

import java.util.List;

/**
 * 密码策略(PlSysStrategy)表服务接口
 *
 * @author makejava
 * @since 2023-03-20 15:16:18
 */
public interface IStrategyService extends IService<Strategy> {

	/**
	 * 通过ID查询单条数据
	 *
	 * @param id 主键
	 * @return 实例对象
	 */
	Strategy queryById(String id);

	/**
	 * 查询默认密码策略
	 *
	 * @return 实例对象
	 */
	Strategy queryByIsDefault();

	/**
	 * 分页查询
	 *
	 * @param query 分页对象
	 * @return 查询结果
	 */
	PageImpl<Strategy> queryAllByPage(Query query);

	/**
	 * 新增数据或修改数据
	 *
	 * @param strategy 实例对象
	 * @return 实例对象
	 */
	boolean submit(Strategy strategy);

	/**
	 * 通过主键删除数据
	 *
	 * @param ids 主键
	 * @return 是否成功
	 */
	boolean deleteByIds(List<String> ids);

	/**
	 * 通过租户id以及用户名查询密码策略
	 * @param tenantId
	 * @param name
	 * @return
	 */
	Strategy queryByNameAndTenantId(String tenantId, String name);

	/**
	 * 根据用户id查询密码策略
	 * @param userId
	 * @return
	 */
	Strategy queryByUserId(Long userId);

}
